## ros-indigo-enu 1.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(enu)

find_package(catkin REQUIRED COMPONENTS rosconsole roscpp geometry_msgs sensor_msgs nav_msgs)

add_service_files(
  FILES
  ToENU.srv
  ToFix.srv
  FromFix.srv
)

generate_messages(DEPENDENCIES sensor_msgs geometry_msgs)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES enu 
  CATKIN_DEPENDS rosconsole roscpp geometry_msgs sensor_msgs nav_msgs
)

find_library(SWIFTNAV swiftnav)

###########
## Build ##
###########

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

## Declare cpp library
add_library(enu src/enu.cpp)
target_link_libraries(enu ${SWIFTNAV} ${catkin_LIBRARIES})

add_executable(enu_from_fix src/from_fix.cpp)
target_link_libraries(enu_from_fix enu ${catkin_LIBRARIES})
set_target_properties(enu_from_fix PROPERTIES OUTPUT_NAME from_fix PREFIX "")
add_dependencies(enu_from_fix enu_gencpp)

add_executable(enu_to_fix src/to_fix.cpp)
target_link_libraries(enu_to_fix enu ${catkin_LIBRARIES})
set_target_properties(enu_to_fix PROPERTIES OUTPUT_NAME to_fix PREFIX "")

add_executable(enu_services src/services.cpp)
target_link_libraries(enu_services enu ${catkin_LIBRARIES})
set_target_properties(enu_services PROPERTIES OUTPUT_NAME services PREFIX "")
add_dependencies(enu_services enu_gencpp)

#############
## Install ##
#############

# Mark node executables for installation.
install(TARGETS enu_from_fix enu_to_fix enu_services
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install enu_ros library.
install(TARGETS enu
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

# Install enu_ros header.
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

##########
## Docs ##
##########

add_custom_target (${PROJECT_NAME}_doc 
  rosdoc_lite -o ${CATKIN_DEVEL_PREFIX}/doc/${PROJECT_NAME} ${CATKIN_DEVEL_PREFIX}/../src/${PROJECT_NAME}
)

FILE(GLOB LINT_SRCS src/*.cpp include/enu/*.h)
add_custom_target(${PROJECT_NAME}_cpplint
  COMMAND cpplint --filter=-whitespace/line_length ${LINT_SRCS})

=== debian/changelog ===
ros-indigo-enu (1.2.2-0trusty) trusty; urgency=high

  * Define _xerbla logging function to fix regression from swiftnav.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 07 May 2014 04:00:00 -0000

ros-indigo-enu (1.2.1-0trusty) trusty; urgency=high

  * Add service dep for enu_from_fix.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 10 Feb 2014 05:00:00 -0000

ros-indigo-enu (1.2.0-0trusty) trusty; urgency=high

  * Add a new trivial node which provides just the two conversion services.
  * Remove cruft from package.xml
  * Contributors: Mike Purvis, Prasenjit Mukherjee

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 07 Feb 2014 05:00:00 -0000

ros-indigo-enu (1.1.0-0trusty) trusty; urgency=high

  * Specify minimum version for swiftnav dependency.
  * Add several key configuration parameters in support of the outdoor Husky EKF.
  * adding the ability to scale the gps covariance
  * adding param to lock altitude output to a rosparam set number
  * added provision to initialize odom orientation at a mathematically viable quaternion orientation
  * Clean up and simplify code API.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 03 Oct 2013 04:00:00 -0000

ros-indigo-enu (1.0.3-0trusty) trusty; urgency=high

  * Remove swiftnav stuff from enu, now that it's a separately released package.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 07 Sep 2013 04:00:00 -0000

ros-indigo-enu (1.0.2-0trusty) trusty; urgency=high

  * Attempt to fix build/install issue with swiftnav headers.
  * Move libswiftnav up to package path.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 05 Sep 2013 04:00:00 -0000

ros-indigo-enu (1.0.1-0trusty) trusty; urgency=high

  * Initial release of enu package for Hydro, including to_fix and from_fix
    conversion nodes, and a simple code API.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 04 Sep 2013 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-enu
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-swiftnav
Homepage: http://ros.org/wiki/enu
Standards-Version: 3.9.2

Package: ros-indigo-enu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-swiftnav (>= 0.8.0)
Description: enu

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-enu//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
